DistributedSystemHealthConfig (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, interface: DistributedSystemHealthConfig

Package org.apache.geode.admin

# Interface DistributedSystemHealthConfig

@Deprecated public interface DistributedSystemHealthConfig
Deprecated.
as of 7.0 use the `management` package instead
Provides configuration information relating to the health of an entire GemFire distributed system.

If any of the following criteria is true, then the distributed system is considered to be in `OKAY_HEALTH`. If any of the following criteria is true, then the distributed system is considered to be in `POOR_HEALTH`.

- Too many application members unexpectedly leave the distributed system.
- Too many application members unexpectedly leave the distributed system.

Since:
  GemFire 3.5

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `DEFAULT_MAX_DEPARTED_APPLICATIONS`
  Deprecated.
  The default maximum number of application members that can unexceptedly leave a healthy the distributed system.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getMaxDepartedApplications()`
  Deprecated.
  Returns the maximum number of application members that can unexceptedly leave a healthy the distributed system.
  `void`
  `setMaxDepartedApplications(long maxDepartedApplications)`
  Deprecated.
  Sets the maximum number of application members that can unexceptedly leave a healthy the distributed system.

- ## Field Details

  - ### DEFAULT_MAX_DEPARTED_APPLICATIONS

    static final long DEFAULT_MAX_DEPARTED_APPLICATIONS
    Deprecated.
    The default maximum number of application members that can unexceptedly leave a healthy the distributed system.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getMaxDepartedApplications

    long getMaxDepartedApplications()
    Deprecated.
    Returns the maximum number of application members that can unexceptedly leave a healthy the distributed system.
    Returns:
      the maximum number of application members that can unexceptedly leave a healthy the distributed system
    See Also:
      - `DEFAULT_MAX_DEPARTED_APPLICATIONS`

  - ### setMaxDepartedApplications

    void setMaxDepartedApplications(long maxDepartedApplications)
    Deprecated.
    Sets the maximum number of application members that can unexceptedly leave a healthy the distributed system.
    Parameters:
      `maxDepartedApplications` - the maximum number of application members that can unexceptedly leave a healthy the distributed system
    See Also:
      - `getMaxDepartedApplications()`